datacache <- new.env(hash=TRUE, parent=emptyenv())

htmg430pmmmug <- function() showQCData("htmg430pmmmug", datacache)
htmg430pmmmug_dbconn <- function() dbconn(datacache)
htmg430pmmmug_dbfile <- function() dbfile(datacache)
htmg430pmmmug_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
htmg430pmmmug_dbInfo <- function() dbInfo(datacache)

htmg430pmmmugORGANISM <- "Mus musculus"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "htmg430pmmmug.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)

    ## Create the OrgDb object
    sPkgname <- sub(".db$","",pkgname)
    txdb <- loadDb(system.file("extdata", paste(sPkgname,
      ".sqlite",sep=""), package=pkgname, lib.loc=libname),
                   packageName=pkgname)    
    dbNewname <- AnnotationDbi:::dbObjectName(pkgname,"ChipDb")
    ns <- asNamespace(pkgname)
    assign(dbNewname, txdb, envir=ns)
    namespaceExport(ns, dbNewname)
        
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("MOUSECHIP_DB", "htmg430pmmmug", "chip htmg430pmmmug", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
    packageStartupMessage(AnnotationDbi:::annoStartupMessages("htmg430pmmmug.db"))
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(htmg430pmmmug_dbconn())
}

